#pragma once

#define RIGHT 1
#define LEFT 0

bool setupStepper();

bool isTimerEnabled();
void setTimerEnabled(bool enabled);
uint16_t getTimerCadence();
void setTimerCadence(uint16_t cadence);

void setStepperEnabled(bool enabled);
bool getStepperDirection();
void setStepperDirection(bool dir);
inline void step();

/** Accelerates from 0 to max speed as quickly as possible, synchronously */
void quickAccelerate();
