#include "screen.h"
#include "number_input.h"
#include "buzzer.h"

void customize_setup();

float wireDiameter = -1;
float coreLength = -1;

void customize() {
setup:
  wireDiameter = -1;
  coreLength = -1;

wireDiameterStep:
  lcd.clear();
  lcd.print("Wire diameter:");
  lcd.setCursor(14, 1);
  lcd.print("mm");

  float inputWireDiameter = number_input(wireDiameter, 0.1);
  tick();
  if (inputWireDiameter == NUMBER_INPUT_BACK) {
    return;
  } else {
    wireDiameter = inputWireDiameter;
    Serial.print("Selected wire diameter: ");
    Serial.println(wireDiameter);
  }

coreLengthStep:
  lcd.clear();
  lcd.print("Core length:");
  lcd.setCursor(14, 1);
  lcd.print("mm");

  float inputCoreLength = number_input(coreLength, 0.1);
  tick();
  if (inputCoreLength == NUMBER_INPUT_BACK) {
    goto wireDiameterStep;
  } else {
    coreLength = inputCoreLength;
    Serial.print("Selected core length: ");
    Serial.println(coreLength);
  }


  lcd.clear();
  lcd.print("Customization done");
  delay(1000);
}

void customize_setup() {

}
