#pragma once

typedef uint8_t SwitchEvent;
#define SWITCH_NONE 0
#define SWITCH_PRESSED 1
#define SWITCH_RELEASED 2

typedef int8_t EncoderEvent;
#define ENCODER_NONE 0
#define ENCODER_CLOCKWISE 1
#define ENCODER_COUNTER_CLOCKWISE -1

void setupEncoder();

SwitchEvent handleSwitch();
SwitchEvent handleDebugSwitch(char key);
EncoderEvent handleEncoder();
EncoderEvent handleDebugEncoder(char key);
