#include "debug.h"
#include "input.h"

Input getInput() {
  auto debugKey = getDebugKey();
  auto key = handleDebugKeyboard(debugKey);
  auto switchEvent = handleDebugSwitch(debugKey);
  auto encoderEvent = handleDebugEncoder(debugKey);
  bool hasInput = debugKey || key || switchEvent || encoderEvent;

  return {debugKey, key, switchEvent, encoderEvent, hasInput};
}

Input handleInput() {
  auto input = getInput();
  debugHandleInput(input);
  return input;
}
