#include <Arduino.h>

#include "screen.h"
#include "buzzer.h"
#include "constants.h"

void splashScreen() {
  // lcd is slow, so we have to issue commands sufficiently early
  // to synchronize with the hello buzz
  lcd.clear();
  lcd.print("  cewk");
  delay(100);
  tone(BUZZER_PIN, 500, 180);
  delay(20);
  lcd.print("-o-");
  delay(100);
  tone(BUZZER_PIN, 1000, 180);
  delay(20);
  lcd.print("mator");
  delay(100);
  tone(BUZZER_PIN, 4000, 180);
  delay(500);
  lcd.setCursor(0, 1);
  lcd.print("   HSWAW 2024   ");
  delay(300);
  lcd.setCursor(0, 1);
  lcd.print("by");
  delay(1000);
}
